# saga::replica Namespace Reference

The Replica Management API package. More...

## Classes
class | logical_directory
| A logical directory represents a directory entry in the name space of logical files. More...
class | logical_file
| The saga::replica class implements the saga::attributes interface. More...
## Namespaces
namespace | metrics
| Available metrics defined for the Replica Management API package.

## Enumerations
enum | flags { Unknown = saga::name_space::Unknown, None = saga::name_space::None, Overwrite = saga::name_space::Overwrite, Recursive = saga::name_space::Recursive, Dereference = saga::name_space::Dereference, Create = saga::name_space::Create, Exclusive = saga::name_space::Exclusive, Lock = saga::name_space::Lock, CreateParents = saga::name_space::CreateParents, Read = 512, Write = 1024, ReadWrite = Read | Write }
| The flags enum is inherited from the namespace package. More...

## Detailed Description

The Replica Management API package.

Detailed description here...

## Enumeration Type Documentation

enum saga::replica::flags

The flags enum is inherited from the namespace package.

A number of replica specific flags are added to it. All added flags are used for the opening of logical file and logical directory instances, and are not applicable to the operations inherited from the namespace package.

Enumerator:

  Unknown |
  None |
  Overwrite |
  Recursive |
  Dereference |
  Create |
  Exclusive |
  Lock |
  CreateParents |
  Read |
  Write |
  ReadWrite |